Bug 240601 - [NEW PORT] graphics/rapid-photo-downloader: Import photos from digital cameras
Summary: [NEW PORT] graphics/rapid-photo-downloader: Import photos from digital cameras
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature
Depends on: 240602 240603 240604
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-15 23:41 UTC by m.ne
Modified: 2019-09-21 18:45 UTC (History)
1 user (show)

See Also:


Attachments
shar containing graphics/rapid-photo-downloader port (26.72 KB, text/plain)
2019-09-15 23:41 UTC, m.ne
no flags Details
updated shar file (26.72 KB, text/plain)
2019-09-16 02:55 UTC, m.ne
no flags Details
added missing dependencies (26.75 KB, patch)
2019-09-21 16:24 UTC, m.ne
m.ne: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2019-09-15 23:41:27 UTC
Created attachment 207523 [details]
shar containing graphics/rapid-photo-downloader port

Some dependencies aren't in the ports tree yet, but I'll submit those as well.

Dealing with the absence of udisks is done in a somewhat ham-fisted manner.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-16 00:50:39 UTC
Please add the new ports for this ports dependencies in the "Depends On" field. In the future, it's best to create dependent issues first, then the issues that depend on those
Comment 2 m.ne 2019-09-16 02:55:12 UTC
Created attachment 207532 [details]
updated shar file
Comment 3 m.ne 2019-09-16 03:22:40 UTC
Thanks for the feedback. I hope everything is in better shape now. I wasn't aware that the portlint output isn't part of the port log file poudriere produces and also put more faith into portfmt than was justified...
Comment 4 commit-hook freebsd_committer 2019-09-21 13:54:54 UTC
A commit references this bug:

Author: pi
Date: Sat Sep 21 13:54:24 UTC 2019
New revision: 512492
URL: https://svnweb.freebsd.org/changeset/ports/512492

Log:
  New port: graphics/py-rawkit

  rawkit (pronounced rocket) is a ctypes-based LibRaw binding for
  Python inspired by the Wand API.

  WWW: https://rawkit.readthedocs.org

  PR:		240601
  Submitted by:	m.ne@gmx.net

Changes:
  head/graphics/Makefile
  head/graphics/py-rawkit/
  head/graphics/py-rawkit/Makefile
  head/graphics/py-rawkit/distinfo
  head/graphics/py-rawkit/pkg-descr
Comment 5 Kurt Jaeger freebsd_committer 2019-09-21 16:07:11 UTC
If graphics/py-colour is mentioned in the RUN_DEPENDS, it's not that optional.
Comment 6 m.ne 2019-09-21 16:23:40 UTC
(In reply to Kurt Jaeger from comment #5)
And it actually isn't. I just confused it with py-colorlog.
Comment 7 m.ne 2019-09-21 16:24:21 UTC
Created attachment 207695 [details]
added missing dependencies
Comment 8 Kurt Jaeger freebsd_committer 2019-09-21 16:27:22 UTC
Does that mean that py-colour from PR240604 was not really needed in the ports tree 8-) ?
Comment 9 m.ne 2019-09-21 16:30:11 UTC
(In reply to Kurt Jaeger from comment #8)
Almost. py-colour is needed, but py-colorlog isn't. I just didn't dare proposing to remove that one...
Comment 10 Kurt Jaeger freebsd_committer 2019-09-21 17:37:48 UTC
(In reply to m.ne from comment #9)
I'm not following: py-colorlog is in the tree since 2014, so you do not suggest to remove it from the tree, aren't you ? So do you suggest to remove it
from COLOUR_RUN_DEPENDS, because it's not required ? Or because it's optional ?
Or... ?
Comment 11 Kurt Jaeger freebsd_committer 2019-09-21 17:37:59 UTC
testbuilds@work
Comment 12 m.ne 2019-09-21 17:48:53 UTC
(In reply to Kurt Jaeger from comment #10)
No, I was just being facetious there. I've absolutely nothing against py-colorlog, and as I already stated it as a port option, removing it would actually work against me. So, everything's fine with me.
Comment 13 Kurt Jaeger freebsd_committer 2019-09-21 18:45:30 UTC
Committed, thanks!
Comment 14 commit-hook freebsd_committer 2019-09-21 18:45:44 UTC
A commit references this bug:

Author: pi
Date: Sat Sep 21 18:45:24 UTC 2019
New revision: 512533
URL: https://svnweb.freebsd.org/changeset/ports/512533

Log:
  New port: graphics/rapid-photo-downloader

  Rapid Photo Downloader imports photos and videos from cameras, phones,
  memory cards and other devices at high speed. It can be configured to
  rename photos and videos with meaningful filenames you specify. It can
  also back up photos and videos as they are downloaded. It downloads
  from and backs up to multiple devices simultaneously.

  WWW: http://www.damonlynch.net/rapid/

  PR:		240601
  Submitted by:	m.ne@gmx.net
  Reviewed by:	koobs

Changes:
  head/graphics/Makefile
  head/graphics/rapid-photo-downloader/
  head/graphics/rapid-photo-downloader/Makefile
  head/graphics/rapid-photo-downloader/distinfo
  head/graphics/rapid-photo-downloader/files/
  head/graphics/rapid-photo-downloader/files/patch-raphodo_cache.py
  head/graphics/rapid-photo-downloader/files/patch-raphodo_rapid.py
  head/graphics/rapid-photo-downloader/files/patch-raphodo_storage.py
  head/graphics/rapid-photo-downloader/files/patch-raphodo_utilities.py
  head/graphics/rapid-photo-downloader/pkg-descr